Summary: Tools for the hotpluggable PCMCIA subsystem
Name: pcmciautils
Version: 018
Release: %mkrel 13
License: GPLv2
Group: System/Kernel and hardware
Url: https://www.kernel.org/pub/linux/utils/kernel/pcmcia/
Source0: %{name}-%{version}.tar.bz2
BuildRequires: byacc
BuildRequires: libsysfs-devel
BuildRequires: flex
Provides:     pcmcia-cs
Obsoletes:     pcmcia-cs
Conflicts:	drakxtools-backend < 10.4.33-1mdv2007.0

%description
PCMCIAutils contains hotplug scripts and initialization tools
necessary to allow the PCMCIA subsystem to behave (almost) as every
other hotpluggable bus system (e.g. USB, IEEE1394).

Please note that the kernel support for this new feature is only
present since 2.6.13-rc1.

%prep
%setup -q

%build
%make_build DEBUG=true

%install
%make_install

# write /etc/modprobe.preload.d/pcmcia file on migration from old pcmcia-cs
%triggerpostun -p /usr/bin/perl -- pcmcia-cs, %{name} < 014-3mdv2007.0
use lib qw(/usr/lib/libDrakX);
use harddrake::autoconf;
use detect_devices;
my $controller = detect_devices::pcmcia_controller_probe();
harddrake::autoconf::pcmcia($controller && $controller->{driver});

%files
%config(noreplace) %{_sysconfdir}/pcmcia/config.opts
/sbin/lspcmcia
/sbin/pccardctl
/lib/udev/rules.d/60-pcmcia.rules
/lib/udev/pcmcia-check-broken-cis
/lib/udev/pcmcia-socket-startup
%{_mandir}/man*/*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 018-13.mga9
+ Revision: 1797057
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 018-12.mga8
+ Revision: 1515851
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 018-11.mga7
+ Revision: 1300139
- Mageia 7 Mass Rebuild

* Thu Aug 31 2017 daviddavid <daviddavid> 018-10.mga7
+ Revision: 1150248
- enable DEBUG instead of STRIPCMD thus fixing empty debugsourcefiles.list

* Fri Feb 12 2016 umeabot <umeabot> 018-9.mga6
+ Revision: 956637
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 danf <danf> 018-8.mga6
+ Revision: 892852
- Stop stripping the binaries to fix debuginfo generation

* Wed Oct 15 2014 umeabot <umeabot> 018-7.mga5
+ Revision: 743783
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 018-6.mga5
+ Revision: 725154
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 018-5.mga5
+ Revision: 683370
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 018-4.mga4
+ Revision: 508919
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 018-3.mga3
+ Revision: 362658
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 20 2011 colin <colin> 018-2.mga2
+ Revision: 184848
- Static udev rules should not be in /etc
+ tv <tv>
- new release
- reverse -j2 debug

* Thu Apr 14 2011 tv <tv> 017-1.mga1
+ Revision: 85186
- drop patch 0 & 1
- patch 0: fix udev rules location
- new release

* Mon Feb 07 2011 dmorgan <dmorgan> 015-6.mga1
+ Revision: 48606
- imported package pcmciautils


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 015-6mdv2011.0
+ Revision: 607084
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 015-5mdv2010.1
+ Revision: 523608
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 015-4mdv2010.0
+ Revision: 426384
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 015-3mdv2009.1
+ Revision: 351668
- rebuild

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 015-2mdv2009.0
+ Revision: 278173
- install udev helpers to /lib/udev as expected (#43024)

* Tue Aug 12 2008 Olivier Blin <oblin@mandriva.com> 015-1mdv2009.0
+ Revision: 271053
- fix parallel build with ccdv
- remove modalias patch, fixed upstream
- 015

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 014-5mdv2009.0
+ Revision: 223471
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 014-4mdv2008.1
+ Revision: 179155
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jun 15 2006 Olivier Blin <oblin@mandriva.com> 014-3mdv2007.0
- adapt to new detect_devices::pcmcia_controller_probe()

* Wed Jun 07 2006 Olivier Blin <oblin@mandriva.com> 014-2mdv2007.0
- fix PCMCIA autoconf

* Wed Jun 07 2006 Olivier Blin <oblin@mandriva.com> 014-1mdv2007.0
- 014
- drop Patch0 and Patch1 (merged upstream)
- write /etc/modprobe.preload.d/pcmcia file on migration from old pcmcia-cs (#22831)

* Tue May 23 2006 Olivier Blin <oblin@mandriva.com> 013-3mdk
- Patch2: fix udev modalias rules
- don't do coldplug for PCMCIA controller with a broken rule
  (that triggered general PCI hotplugging /o\)
  this should be done in some /etc/modprobe.preload.d/ file

* Mon Mar 27 2006 Olivier Blin <oblin@mandriva.com> 013-2mdk
- Patch1: fix lspcmcia symlink (from Colin Watson, Debian)

* Mon Mar 27 2006 Olivier Blin <oblin@mandriva.com> 013-1mdk
- New release 013
- Patch0: use correct path for ln
- package lspcmcia

* Tue Mar 14 2006 Olivier Blin <oblin@mandriva.com> 012-2mdk
- Obsoletes/Provides pcmcia-cs
- remove udev build hacks (enabled by default now)

* Tue Dec 20 2005 Olivier Blin <oblin@mandriva.com> 012-1mdk
- New release 012
- remove Patch0, merged upstream

* Tue Dec 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 011-2mdk
- link with new libsysfs2
- patch 0: fix compiling with libsysfs2

* Tue Dec 06 2005 Olivier Blin <oblin@mandriva.com> 011-1mdk
- New release 011

* Wed Oct 12 2005 Olivier Blin <oblin@mandriva.com> 010-2mdk
- Source1: coldplug support for yenta_socket (#19097)

* Thu Sep 22 2005 Olivier Blin <oblin@mandriva.com> 010-1mdk
- 010
- build with udev support

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 007-4mdk
- don't package hotplug files, this has to be moved to udev

* Thu Aug 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 007-3mdk
- Fix BuildRequires

* Sat Jul 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 007-2mdk
- Fix BuildRequires

* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 007-1mdk
- 007

* Mon Jul 18 2005 Olivier Blin <oblin@mandriva.com> 006-1mdk
- 006

* Mon Jul 04 2005 Olivier Blin <oblin@mandriva.com> 005-2mdk
- conflicts with pcmcia-cs, which will be deprecated soon

* Mon Jul 04 2005 Olivier Blin <oblin@mandriva.com> 005-1mdk
- initial Mandriva Linux release

